<div class="patient_report_wrapper">
    <div class="row">
        <div class="col-auto">
            <div class="biomarker_left_container">
                <div class="bio-generic-card" style="min-height:315px" ng-if="$ctrl.critical.length == 0">
                    <div class="bio-generic-card-header">
                        <p class="title">Critical Biomarkers (0)</p>
                    </div>
                    <div class="bio-generic-card-body">
                        <p class="no-data-to-show-yet">No data to show yet.</p>
                    </div>
                    <!-- <div class="bio-list-group">
                        <div class="bio-list-group-item" ui-sref="biomarker">
                            <div class="content-marker">
                                <p class="b-l-g-title">Haemoglobin</p>
                                <p class="b-l-g-desc">14.0-18.0  (g/dL)</p>
                            </div>
                            <div class="content-indicator">
                                <p class="c-i-value text-center"><i class="fa fa-circle marker-danger"></i> 13.0</p>
                            </div>
                        </div>
                        <div class="bio-list-group-item">
                            <div class="content-marker">
                                <p class="b-l-g-title">Haemoglobin</p>
                                <p class="b-l-g-desc">14.0-18.0  (g/dL)</p>
                            </div>
                            <div class="content-indicator">
                                <p class="c-i-value text-center"><i class="fa fa-circle marker-danger"></i> 13.0</p>
                            </div>
                        </div>
                        <div class="bio-list-group-item">
                            <div class="content-marker">
                                <p class="b-l-g-title">Haemoglobin</p>
                                <p class="b-l-g-desc">14.0-18.0  (g/dL)</p>
                            </div>
                            <div class="content-indicator">
                                <p class="c-i-value text-center"><i class="fa fa-circle marker-danger"></i> 13.0</p>
                            </div>
                        </div>
                        
                    </div> -->
                </div>

                <div class="bio-generic-card" style="min-height: 515px">
                    <div class="bio-generic-card-header">
                        <p class="title">Abnormal Biomarkers ({{$ctrl.abnormal.length}})</p>

                    </div>
                    <div class="bio-generic-card-body" ng-if="$ctrl.abnormal.length == 0">
                        <p class="no-data-to-show-yet">No data to show yet.</p>
                    </div>
                    <div class="bio-list-group">
                        <div class="bio-list-group-item" ui-sref="biomarker({id:$ctrl.patientId,code:ab.code})" ng-repeat="ab in $ctrl.abnormal">
                            <div class="content-marker">
                                <p class="b-l-g-title">{{ab.name}}</p>
                                <div class="d-flex flex-row">
                                    <p class="b-l-g-desc mr-2" ng-bind-html="::ab.reference_range | trust"></p>
                                    <p class="b-l-g-desc">({{::ab.unit}})</p>
                                </div>
                            </div>
                            <div class="content-indicator">
                                <p class="c-i-value text-center">
                                    <i class="fa fa-circle marker-danger"></i> {{ab.observation_value}}
                                </p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col">
            <div class="lab_report_wrapper">
                <div class="bio-generic-card" style="min-height: 860px">
                    <div class="bio-generic-card-header">
                        <p class="title">Latest Lab Report</p>
                        <p class="bio-gen-icon">
                            <i class="material-icons md-18 light-blue-grey">error_outline</i>
                        </p>
                        <div class="action-btn-wrapper">
                            <!-- <button class="btn-report-download" disabled>Download as PDF</button> -->
                            <button class="btn-report-download" disabled>View Full Result</button>
                        </div>
                    </div>
                    <div class="bio-generic-card-body">
                        <div ng-if="$ctrl.hasPdf">
                            <div id="pdf">
                                <div ng-if="$ctrl.fetch_pdf_state && $ctrl.showPdf">
                                    <object width="100%" 
                                            height="790"
                                            type="application/pdf" 
                                            data="data:application/pdf;base64,{{::$ctrl.pdf_link}}" 
                                            id="pdf_content">
                                        <p>Insert your error message here, if the PDF cannot be displayed.</p>
                                    </object>
                                </div>
                                <div class="empty_pdf_wrapper text-center" ng-if="!ctrl.fetch_pdf_state">
                                    <div class="empty_pdf_icon">
                                        <i class="material-icons md-120 light-blue-grey">bubble_chart</i>
                                    </div>
                                    <p class="title_header">Your patient's results are pending</p>
                                    <p class="caption">You will be notified once the results are ready to review</p>
                                    <!-- <button class="btn btn-danger biomark-btn-primary" ng-click="$ctrl.send_invitation()">
                                                                                Order a Test
                                                                            </button> -->
                                </div>
                            </div>
                        </div>
                        <div ng-if="!$ctrl.hasPdf">
                            <div class="empty_pdf_wrapper text-center">
                                <div class="empty_pdf_icon">
                                    <i class="material-icons md-120 light-blue-grey">bubble_chart</i>
                                </div>
                                <p class="title_header">Your patient's results are pending</p>
                                <p class="caption">You will be notified once the results are ready to review</p>
                                <!-- <button class="btn btn-danger biomark-btn-primary" ng-click="$ctrl.send_invitation()">
                                    Order a Test
                                </button> -->
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>